org.richfaces.resource

## Enum ImageType

- java.lang.Object
- - java.lang.Enum<ImageType>
  - - org.richfaces.resource.ImageType

- All Implemented Interfaces:
    Serializable, Comparable<ImageType>

      public enum ImageType
      extends Enum<ImageType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GIF`
    `JPEG`
    `PNG`
    `PNG8`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static IndexColorModel` | `SAFE_WEB_COLORS_MODEL` Default web safe colors color model

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BufferedImage` | `createImage(Dimension dimension)`
    `abstract BufferedImage` | `createImage(int width, int height)`
    `String` | `getFormatName()`
    `String` | `getMimeType()`
    `static ImageType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ImageType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GIF

          public static final ImageType GIF

    - #### PNG

          public static final ImageType PNG

    - #### PNG8

          public static final ImageType PNG8

    - #### JPEG

          public static final ImageType JPEG

  - ### Field Detail

    - #### SAFE_WEB_COLORS_MODEL

          protected static final IndexColorModel SAFE_WEB_COLORS_MODEL

      Default web safe colors color model

  - ### Method Detail

    - #### values

          public static ImageType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ImageType c : ImageType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ImageType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### createImage

          public abstract BufferedImage createImage(int width,
                                                    int height)

    - #### createImage

          public BufferedImage createImage(Dimension dimension)

    - #### getFormatName

          public String getFormatName()

    - #### getMimeType

          public String getMimeType()

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.